summaryrefslogtreecommitdiff
path: root/tests/example-provider/vagrant/add-pixelated.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/example-provider/vagrant/add-pixelated.sh')
-rwxr-xr-xtests/example-provider/vagrant/add-pixelated.sh8
1 files changed, 4 insertions, 4 deletions
diff --git a/tests/example-provider/vagrant/add-pixelated.sh b/tests/example-provider/vagrant/add-pixelated.sh
index f9908947..38a7ea47 100755
--- a/tests/example-provider/vagrant/add-pixelated.sh
+++ b/tests/example-provider/vagrant/add-pixelated.sh
@@ -6,8 +6,8 @@
cd "$PROVIDERDIR"
-if ! git submodule status files/puppet/modules/pixelated > /dev/null 2>&1; then
- git submodule add https://github.com/pixelated/puppet-pixelated.git files/puppet/modules/pixelated
+if ! [ -d files/puppet/modules/pixelated ]; then
+ git clone https://github.com/pixelated/puppet-pixelated.git files/puppet/modules/pixelated
fi
echo '{}' > services/pixelated.json
@@ -26,7 +26,7 @@ $LEAP $OPTS -v 2 test --continue
echo -e '\n===========================================================================================================\n\n'
echo -e 'You are now ready to use your vagrant Pixelated provider.\n'
-echo -e 'The LEAP webapp is available at https://localhost:4443. Use it to register an account before using the Pixelated Useragent.\n'
-echo -e 'The Pixelated Useragent is available at https://localhost:8080\n'
+echo -e 'The LEAP webapp is available at https://localhost:4443. Use it to register an account before using the Pixelated User Agent.\n'
+echo -e 'The Pixelated User Agent is available at https://localhost:8080\n'
echo -e 'Please add an exception for both sites in your browser dialog to allow the self-signed certificate.\n'